BizKitHub
DocsAPI ReferenceAccount/bff/account/work-location
postAccountAdmin BFF

/bff/account/work-location

Where I work today; shown to colleagues next to my status until the end time.

AccountpostBffAccountWork-location

Parameters

JSON body

Request body

application/json
locationstring | nullRequired
One of 2:
Variant 1
string

office | remote | travel; null clears.

Length: 0–16
Variant 2
null
untilstring | nullOptional
One of 2:
Variant 1
string

ISO end, normally the end of my local day.

Variant 2
null

Response schema

1 status code documented

200Success
activityStatusstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
activityStatusUntilstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
statusEmojistring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
statusTextstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
statusClearDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
workLocationstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
workLocationUntilstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
workLocationScheduleobject | nullRequired
One of 2:
Variant 1
object
Variant 2
null

Response example

application/json
{}

Request example

POST /bff/account/work-location

post
curl -X POST "https://api.bizkithub.com/bff/account/work-location" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key